Subject: Re: bug#42406: Mouse-wheel scrolling can be flickering

From: Konrad Podczeck <[email-masked]>
Date: Thu, 30 Jul 2020 12:30:27 +0200

Having taken a closer look, it seems to me now that what I called "flickering" is the following:

Mouse-wheel scroll downwards, so that the cursor becomes positioned at the top row of the frame. Then release the mouse-wheel, but so that inertia scrolling continues for a short time. After the scrolling comes to rest, which is probably determined by the window manager, there is an extra movement, governed probably by Emacs, to make sure that it is not the case that only, say, half of a row is visible at the top of the frame. It seems to me that it is this extra movement which leads to what I called "flickering."

For how to enable/disable "inertia scrolling, see

https://support.apple.com/en-nz/guide/mac-help/unac899/mac

> Am 22.07.2020 um 22:16 schrieb Alan Third <[email-masked]>:
> 
> On Sun, Jul 19, 2020 at 10:29:20PM +0200, Konrad Podczeck wrote:
>> For me, there is no difference with Emacs 28. To see this best, make the following customizations:
>> 
>> (setq mouse-wheel-progressive-speed nil)
>> (setq mouse-wheel-scroll-amount '(1 ((shift) . 1)))
>> 
>> (and make sure that in the Mouse Options part of the Accessibilty
>> panel of the general System Preferences of MacOS, scrolling with
>> inertia is enabled.)
> 
> What version of macOS are you using? I can't get momentum working here
> any more and I don't have any option that I can see in the system
> preferences to turn it on or off.
> 
> I can't think of any reason that momentum scrolling should flicker
> when normal scrolling doesn't, they use the exact same mechanism.
> 
> Does it happen when you run emacs -Q?
> -- 
> Alan Third